%bcond_with doc

%define girmajor 3.0
%define girname %mklibname ical-gir %{girmajor}
%define libnamess %mklibname icalss %{major}
%define libnameglib %mklibname ical-glib %{major}
%define girmajorglib 3.0
%define girnameglib %mklibname icalglib-gir %{girmajorglib}
%define libnamevcal %mklibname icalvcal %{major}
%define develname %mklibname ical -d
%define _smp_ncpus_max 4

Name: libical
Version: 3.0.10
Release: %mkrel 2
Summary: An implementation of basic iCAL protocols
License: LGPLv2+
Group: System/Libraries
Url: https://github.com/libical/libical
Source0: https://github.com/libical/libical/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires: flex
BuildRequires: bison
BuildRequires: cmake
%if %{with doc}
BuildRequires: gtk-doc
%endif
BuildRequires: icu-devel
BuildRequires: vala
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: lib64xml++2.6-devel

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

%files
%{_libexecdir}/libical/ical-glib-src-generator

%define major 3
%define libname %mklibname ical %{major}

%package -n %{libname}
Summary: Files for developing applications that use libical
Group: System/Libraries
Requires: %{name}

%description -n %{libname}
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447).
It parses iCal components and provides a C API for manipulating
the component properties, parameters, and subcomponents.

%files -n %{libname}
%{_libdir}/libical.so.%{major}*
%{_libdir}/libical_cxx.so.%{major}*
%{_libdir}/girepository-1.0/ICalGLib-%{girmajorglib}.typelib
%{_libdir}/girepository-1.0/ICal-%{girmajorglib}.typelib
%{_libdir}/libicalvcal.so.%{major}*
%{_libdir}/libicalss.so.%{major}*
%{_libdir}/libicalss_cxx.so.%{major}*
%{_libdir}/libical-glib.so.%{major}*
#------------------------------------------------------

%package -n %{develname}
Summary:	Files for developing applications that use libical
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
The header files and libtool library for
developing applications that use libical.

%files -n %{develname}
%doc doc/UsingLibical*
%if %{with doc}
%doc %{_datadir}/gtk-doc/html/%{name}-glib/
%endif
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_libdir}/cmake/LibIcal
%{_datadir}/gir-1.0/ICal-%{girmajor}.gir
%{_datadir}/gir-1.0/ICalGLib-%{girmajorglib}.gir
%{_datadir}/vala/vapi/libical-glib.vapi

#------------------------------------------------------

%prep
%setup -q

%build
%cmake \
  -DICAL_ERRORS_ARE_FATAL:BOOL=false \
  -DGOBJECT_INTROSPECTION:BOOL=true \
  -DSHARED_ONLY:BOOL=true \
  -DENABLE_GTK_DOC:BOOL=%{?with_doc:true}%{?!with_doc:false} \
  -DICAL_GLIB_VAPI:BOOL=true

%make_build -j1

%install
%make_install -C build


%changelog
* Mon Sep 12 2022 tex - 3.0.10-2pclos2022
- rebuild against updates

* Thu Sep 16 2021 tex - 3.0.10-1pclos2021
- new version

* Sat Mar 28 2020 tex - 3.0.8-1pclos2020
- new version

* Tue Jan 07 2020 tex - 3.0.7-1pclos2020
- new version

* Tue Nov 19 2019 tex - 3.0.6-1pclos2019
- new version

* Tue Oct 08 2019 tex - 3.0.5-3pclos2019
- rebuild against updates

* Sat Oct 05 2019 tex - 3.0.5-2pclos2019
- rebuild against updates

* Thu Aug 08 2019 tex - 3.0.5-1pclos2019
- import from france
